Subject: bug#3605: Crash in ns_index_color (nsterm.m:1305)

From: Chong Yidong <[email-masked]>
Date: Sun, 31 Jan 2010 00:24:41 -0500

> I spent some more time looking at this, and I think I've found the problem:
>
> ns_defined_color needs to block input around its calls to ns_get_color
> and (at least) ns_index_color.  ns_get_color calls UNBLOCK_INPUT after
> allocating an autorelease NSColor.  Because the outer autorelease pool
> is flushed every time through the event loop, sometimes the color gets
> freed before ns_index_color has a chance to retain it.
>
> As a reliable test case, try loading the color palette from
> http://www.emacswiki.org/cgi-bin/wiki/palette.el

Thanks.  As you suggested, I have checked in a change to nsterm.m to
block input during ns_defined_color.  Could you test if the crash is
gone?